-- Conky, a system monitor https://github.com/brndnmtthws/conky
conky.config = {
	background = true,
	use_xft = true,
	font = 'Meslo LGS NF:size=12',
	xftalpha = 0.8,
	update_interval = 1,
	update_interval_on_battery = 15,
	total_run_times = 0,
	own_window = true,
	own_window_transparent = true,
	own_window_type = 'desktop',
	own_window_class = 'Conky',
	own_window_argb_visual = true,
	own_window_colour = '#000000',
	own_window_argb_value = 150,
	own_window_hints = 'undecorated,below,sticky,skip_taskbar,skip_pager',
	double_buffer = true,
	draw_shades = false,
	draw_outline = false,
	draw_borders = false,
	draw_graph_borders = true,
	stippled_borders = 0,
	border_width = 0,
	default_color = '#d8dee9',
	default_shade_color = 'grey',
	default_outline_color = 'black',
	alignment = 'top_left',
	gap_x = 0,
	gap_y = 0,
	no_buffers = true,
	cpu_avg_samples = 2,
	net_avg_samples = 2,
	override_utf8_locale = true,
	use_spacer = 'right',
	uppercase = false,
	lua_load = "/home/nick/.config/conky/helpers.lua"
}

conky.text = [[









${offset 300}                                < PF371A40 > ──────────────────────
${offset 300}                                      ┬
${offset 300}           ┌─────── < $nodename > ───────┘
${offset 300}           ├ DISTRO < Arch Linux >
${offset 300}           ├ KERNEL < $sysname $kernel >
${offset 300}           └ UPTIME < $uptime >










$alignr ${offset -220} < wlp4s0:${if_empty ${exec iwgetid}} Offline$else ${exec iwgetid | sed 's/wlp4s0    ESSID://g'} - ${exec ifconfig wlp4s0 | grep "inet " | awk '{print $2}'}$endif > ┐
$alignr ${offset -100} < eno1:${if_empty ${exec ifconfig eno1 | grep "inet " | awk '{print $2}'}} Offline$else ${exec ifconfig wlp4s0 | grep "inet " | awk '{print $2}'}$endif > ┴────────────


${offset 450} MEM  < $mem/$memmax - ${lua_parse format %2.0f $memperc}% ${membar 8,150} > ┬─────────────
${offset 450} SWAP < $swap/$swapmax - ${lua_parse format %2.0f $swapperc}% ${swapbar 8,150} > ┘




${offset 640}   TEMPS < OFFLINE > ─────────────────────











${offset 410}        ┌────────────────── AUDIO ─────────────────────
${offset 410}        ├ VOLUME < ${exec pamixer --get-volume}% >
${offset 410}        ├ STATUS < ${exec playerctl status} >
${offset 410}        ├ TITLE  < ${exec playerctl metadata title} >
${offset 410}        ├ ARTIST < ${exec playerctl metadata artist} >
${offset 410}        └ ALBUM  < ${exec playerctl metadata album} >
]]
